ChangeSecurityGroupRule
ChangeSecurityGroupRule
PUT
/zstack/v1/security-groups/rules/{uuid}/actionsOperation ID
ChangeSecurityGroupRuleSince
4.7.21Execution Mode
SynchronousAuth Context
Auth RequiredAuth Context
Send these values as request headers when calling this API.
AuthorizationstringRequiredBearer Token
X-Tenant-IDstringX-Tenant-ID
Request Inputs
application/jsonPath Parameters
uuidStringRequiredThe security group UUID.
Body Fields
paramsObjectRequiredRequest body parameter object.
descriptionStringOptional. The detailed description of the rule.
remoteSecurityGroupUuidStringOptional. The remote security group UUID.
actionStringOptional. The default action of the rule.
stateStringOptional. The rule status.
priorityIntegerOptional. The rule priority.
protocolStringOptional. The protocol type.
srcIpRangeStringOptional. The range of the source IP of the rule.
dstIpRangeStringOptional. The range of the target IP of the rule.
dstPortRangeStringOptional. The range of the target port of the rule.
systemTagsListOptional. The system tags.
userTagsListOptional. The user tags.
